aboutsummaryrefslogtreecommitdiff
path: root/admin/getmaintbuilds
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2026-08-29 20:06:44 -0400
committerB. Watson <urchlay@slackware.uk>2026-08-29 20:06:44 -0400
commit55504fefce3078ac683b85508fa8af9e4d1b2059 (patch)
treee5590710b084f84520cfcce5f421403ea5a54132 /admin/getmaintbuilds
parent8a78cfe513eb112585a5c5660fcbeb7cb3c58719 (diff)
downloadsbostuff-55504fefce3078ac683b85508fa8af9e4d1b2059.tar.gz
admin/*: added.
Diffstat (limited to 'admin/getmaintbuilds')
-rwxr-xr-xadmin/getmaintbuilds9
1 files changed, 9 insertions, 0 deletions
diff --git a/admin/getmaintbuilds b/admin/getmaintbuilds
new file mode 100755
index 0000000..ea665c9
--- /dev/null
+++ b/admin/getmaintbuilds
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+source ~/sbostuff/sbostuff.sh
+cd $SBO_GITROOT || exit 1
+if echo "$*" | grep -q '@'; then
+ echo $( git grep 'EMAIL="'"$*"'"' '*/*/*.info' | cut -d/ -f2 )
+else
+ echo $( git grep 'MAINTAINER="'"$*"'"' '*/*/*.info' | cut -d/ -f2 )
+fi